#pragma once

class TExtendedSearchContext;

struct IHttpStatusManager {
    virtual inline ~IHttpStatusManager()
    {
    }

    virtual int CalculateHttpStatus(const TExtendedSearchContext& searchContext) const = 0;
};

